Models

Browse and retrieve information about the AI models available through Nextbit's API. Our models are compatible with the OpenAI format.

The model object

The model object contains information about a specific AI model, including its ID, capabilities, and context window.

Properties

  • Name
    id
    Type
    string
    Description

    Unique identifier for the model.

  • Name
    object
    Type
    string
    Description

    Object type, always "model".

  • Name
    created
    Type
    integer
    Description

    Unix timestamp of when the model was created.

  • Name
    owned_by
    Type
    string
    Description

    Organization that owns the model.


GET/v1/models

List models

Retrieve a list of all available models that can be used with the API.

Request

GET
/v1/models
from openai import OpenAI

client = OpenAI(
    base_url="https://api.nextbit256.com/v1",
    api_key="your-api-key"
)

models = client.models.list()

for model in models.data:
    print(model.id)

Response

{
  "object": "list",
  "data": [
    {
      "id": "llama3.3:70b",
      "object": "model",
      "created": 1686935002,
      "owned_by": "meta"
    },
    {
      "id": "qwen2.5:72b",
      "object": "model",
      "created": 1686935002,
      "owned_by": "alibaba"
    }
  ]
}

GET/v1/models/{id}

Retrieve model

Retrieve information about a specific model by its ID.

Required attributes

  • Name
    id
    Type
    string
    Description

    The ID of the model to retrieve.

Request

GET
/v1/models/llama3.3:70b
from openai import OpenAI

client = OpenAI(
    base_url="https://api.nextbit256.com/v1",
    api_key="your-api-key"
)

model = client.models.retrieve("llama3.3:70b")
print(model)

Response

{
  "id": "llama3.3:70b",
  "object": "model",
  "created": 1686935002,
  "owned_by": "meta"
}

Available Models

alia-salamandra:40b

Unknown

bf16
Context Length:33K tokens
Max Completion:33K tokens

Pricing (per 1M tokens)

Input:$0.30
Output:$0.60

deepseek:v4-flash

DeepSeek

fp8
Context Length:1M tokens
Max Completion:1M tokens

Pricing (per 1M tokens)

Input:$0.14
Output:$0.28

deepseek:v4-flash-0731

DeepSeek

fp8
Context Length:1M tokens
Max Completion:1M tokens

Pricing (per 1M tokens)

Input:$0.40
Output:$1.20

deepseek:v4-pro

DeepSeek

fp8
Context Length:1M tokens
Max Completion:1M tokens

Pricing (per 1M tokens)

Input:$1.74
Output:$3.48

deepseek:v4-pro-0813

DeepSeek

fp8
Context Length:1M tokens
Max Completion:1M tokens

Pricing (per 1M tokens)

Input:$1.32
Output:$3.96

euryale:33-70b

Unknown

bf16
Context Length:131K tokens
Max Completion:16K tokens

Pricing (per 1M tokens)

Input:$0.65
Output:$0.75

gemma-2:27b-it

Google

int4
Context Length:8K tokens
Max Completion:2K tokens

Pricing (per 1M tokens)

Input:$0.65
Output:$0.65

gemma4:26b-a4b

Google

bf16
Context Length:262K tokens
Max Completion:262K tokens

Pricing (per 1M tokens)

Input:$0.10
Output:$0.40

glm:5.3-flash

Unknown

fp8
Context Length:1M tokens
Max Completion:128K tokens

Pricing (per 1M tokens)

Input:$0.15
Output:$0.50

kimi:k2.6

Unknown

fp4
Context Length:262K tokens
Max Completion:N/A

Pricing (per 1M tokens)

Input:$0.95
Output:$4.00

kimi:k3

Unknown

fp4
Context Length:1M tokens
Max Completion:1M tokens

Pricing (per 1M tokens)

Input:$3.75
Output:$18.75

mythomax:13b

Unknown

int4
Context Length:4K tokens
Max Completion:4K tokens

Pricing (per 1M tokens)

Input:$0.06
Output:$0.06

qwen3:14b

Qwen

int4
Context Length:41K tokens
Max Completion:41K tokens

Pricing (per 1M tokens)

Input:$0.10
Output:$0.22

remm-slerp:l2-13b

Unknown

bf16
Context Length:6K tokens
Max Completion:4K tokens

Pricing (per 1M tokens)

Input:$0.45
Output:$0.65

unslopnemo:12b

Unknown

fp8
Context Length:33K tokens
Max Completion:33K tokens

Pricing (per 1M tokens)

Input:$0.40
Output:$0.40

Was this page helpful?